RT_SEM_POST(2)

NAME
rt_sem_post - semaphore 'post' operation

SYNOPSIS
#define MODULE
#include <linux/module.h>
#include <linux/kernel.h>
#include <linux/version.h>
#include <linux/errno.h>
#include rt_ipc.h

int rt_sem_post(rt_sem_t *sem);

DESCRIPTION
rt_sem_post is the semaphore post (sometimes known as 'give', 'signal', or 'V') operation. If tasks are waiting for the semaphore, the one with the highest priority is allowed to run. sem points to the structure used in the call to rt_sem_create.

RETURN VALUE
On success, 0 is returned. On failure, a negative value is returned as described below.

ERRORS

-EINVAL
    sem does not point to a valid rt_sem_t.

AUTHOR
Jerry Epplin <JerryEpplin@worldnet.att.net>

SEE ALSO
rt_task_ipc_delete(2), rt_task_ipc_init(2), rt_sem_destroy(2), rt_sem_init(2), rt_sem_trywait(2), rt_sem_wait(2)